package com.rf.kjb.intelligentDialogue.service;

import com.rf.kjb.chat.dao.domain.ChatQuestionEntity;
import com.rf.kjb.intelligentDialogue.dao.domain.IntelligentDialogueEntity;
import org.springframework.data.domain.Page;

import java.util.List;

public interface IntelligentDialogueService {
    void save(IntelligentDialogueEntity intelligentDialogue);

    Page<IntelligentDialogueEntity> find(String identifier, int pageNum, int pageSize);

    List<IntelligentDialogueEntity> findByIdentifier(String identifier);

    List<IntelligentDialogueEntity> findAllIdentifier();

    Page<IntelligentDialogueEntity> getIntelligentDialogueEntityByIdentifier(String identifier, int pageNum, int pageSize, String type);

    IntelligentDialogueEntity findByIdentifierByLabelByNum(String identifier, String label, String num);

    IntelligentDialogueEntity findByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String type);
    IntelligentDialogueEntity findJobByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String type);

    List<IntelligentDialogueEntity> findGradeByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String type);

    IntelligentDialogueEntity findEmotionScoreByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num, String questionNo);

    IntelligentDialogueEntity findLastScoreByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String lastNum, String type);

    IntelligentDialogueEntity findScoreByIdentifierByLabelByNumByQuestionNo(String identifier, String label, String num);

    IntelligentDialogueEntity findDateByIdentifierByLabelByNum(String identifier, String label, String lastNum);
}
