package com.rf.kjb.chat.service.impl;

import com.rf.kjb.chat.dao.domain.ChatAnswerEntity;
import com.rf.kjb.chat.dao.domain.QuestionSkipEntity;
import com.rf.kjb.chat.dao.repository.ChatAnswerRepository;
import com.rf.kjb.chat.dao.repository.QuestionSkipRepository;
import com.rf.kjb.chat.service.ChatAnswerService;
import com.rf.kjb.chat.service.QuestionSkipService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:zzf
 * @Date:2022/10/21:01:06
 * @Description:
 */
@Service
public class QuestionSkipServiceImpl implements QuestionSkipService {

    @Autowired
    private QuestionSkipRepository questionSkipRepository;

    @Override
    public List<QuestionSkipEntity> findByLabelAndNumAndType(String label, String num, String type) {
        return this.questionSkipRepository.findByLabelAndNumAndType(label,num,type);
    }
}
