package com.rf.kjb.chat.service.impl;

import com.rf.kjb.chat.dao.domain.ResultQuestionEntity;
import com.rf.kjb.chat.dao.repository.ResultQuestionRepository;
import com.rf.kjb.chat.service.ResultQuestionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author:zzf
 * @Date:2023/9/6:11:03
 * @Description:
 */
@Service
public class ResultQuestionServiceImpl implements ResultQuestionService {
    @Autowired
    private ResultQuestionRepository repository;
    @Override
    public ResultQuestionEntity findByLabelAndResultAndNum(String label, String result, String num) {
        return repository.findByLabelAndResultAndNum(label,result, num);
    }

    @Override
    public ResultQuestionEntity findByLabelAndNum(String label, String num) {
        return repository.findByLabelAndNum(label, num);
    }
}
